summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-08-09 22:13:49 +0000
committerJim Meyering <jim@meyering.net>2002-08-09 22:13:49 +0000
commitf12b040a86237590002fb58aefb13bbff5d4603b (patch)
treed39d6fa0e199a15423d7ea79b08dbfed39cf67a0 /tests
parentb2ad2ca79504be4379882596d1b1cc2be9c844e8 (diff)
downloadcoreutils-f12b040a86237590002fb58aefb13bbff5d4603b.tar.xz
.
Diffstat (limited to 'tests')
-rw-r--r--tests/pr/Makefile.am4
-rw-r--r--tests/pr/Makefile.in4
-rwxr-xr-xtests/pr/pr-tests20
3 files changed, 23 insertions, 5 deletions
diff --git a/tests/pr/Makefile.am b/tests/pr/Makefile.am
index ae3388d8e..2ab6e745d 100644
--- a/tests/pr/Makefile.am
+++ b/tests/pr/Makefile.am
@@ -26,7 +26,7 @@ tn_2e8-t_tab tn_2e8S-t_tab tne8-t_tab tne8o3-t_tab tt-0FF tt-FF tt-bl tt-t \
tta3-0FF tta3-FF ttb3-0FF ttb3-FF w72l17f-ll
maint_gen = i-opt-a.I i-opt-a.X i-opt-b.I i-opt-b.X ncut-a.I ncut-a.X \
ncut-b.I ncut-b.X margin-0.I margin-0.X dbl-sp-a.I dbl-sp-a.X dbl-sp-b.I \
-dbl-sp-b.X narrow-1.I narrow-1.X
+dbl-sp-b.X narrow-1.I narrow-1.X col-last.I col-last.X
run_gen = 1a.O 1a.E 1b.O 1b.E 1c.O 1c.E 1d.O 1d.E 1e.O 1e.E 1f.O 1f.E 1g.O \
1g.E 1h.O 1h.E 1i.O 1i.E 1j.O 1j.E 1k.O 1k.E 1l.O 1l.E 2a.O 2a.E 2b.O 2b.E \
2c.O 2c.E 2d.O 2d.E 2e.O 2e.E 2f.O 2f.E 2g.O 2g.E 2h.O 2h.E 2i.O 2i.E 2j.O \
@@ -67,7 +67,7 @@ run_gen = 1a.O 1a.E 1b.O 1b.E 1c.O 1c.E 1d.O 1d.E 1e.O 1e.E 1f.O 1f.E 1g.O \
14d.E 14e.O 14e.E 14f.O 14f.E 14g.O 14g.E 14h.O 14h.E 14i.O 14i.E 14j.O 14j.E \
14k.O 14k.E 14l.O 14l.E 14m.O 14m.E i-opt-a.O i-opt-a.E i-opt-b.O i-opt-b.E \
ncut-a.O ncut-a.E ncut-b.O ncut-b.E margin-0.O margin-0.E dbl-sp-a.O \
-dbl-sp-a.E dbl-sp-b.O dbl-sp-b.E narrow-1.O narrow-1.E
+dbl-sp-a.E dbl-sp-b.O dbl-sp-b.E narrow-1.O narrow-1.E col-last.O col-last.E
##test-files-end
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/pr/Makefile.in b/tests/pr/Makefile.in
index 5259012de..aa73f5910 100644
--- a/tests/pr/Makefile.in
+++ b/tests/pr/Makefile.in
@@ -172,7 +172,7 @@ tta3-0FF tta3-FF ttb3-0FF ttb3-FF w72l17f-ll
maint_gen = i-opt-a.I i-opt-a.X i-opt-b.I i-opt-b.X ncut-a.I ncut-a.X \
ncut-b.I ncut-b.X margin-0.I margin-0.X dbl-sp-a.I dbl-sp-a.X dbl-sp-b.I \
-dbl-sp-b.X narrow-1.I narrow-1.X
+dbl-sp-b.X narrow-1.I narrow-1.X col-last.I col-last.X
run_gen = 1a.O 1a.E 1b.O 1b.E 1c.O 1c.E 1d.O 1d.E 1e.O 1e.E 1f.O 1f.E 1g.O \
1g.E 1h.O 1h.E 1i.O 1i.E 1j.O 1j.E 1k.O 1k.E 1l.O 1l.E 2a.O 2a.E 2b.O 2b.E \
@@ -214,7 +214,7 @@ run_gen = 1a.O 1a.E 1b.O 1b.E 1c.O 1c.E 1d.O 1d.E 1e.O 1e.E 1f.O 1f.E 1g.O \
14d.E 14e.O 14e.E 14f.O 14f.E 14g.O 14g.E 14h.O 14h.E 14i.O 14i.E 14j.O 14j.E \
14k.O 14k.E 14l.O 14l.E 14m.O 14m.E i-opt-a.O i-opt-a.E i-opt-b.O i-opt-b.E \
ncut-a.O ncut-a.E ncut-b.O ncut-b.E margin-0.O margin-0.E dbl-sp-a.O \
-dbl-sp-a.E dbl-sp-b.O dbl-sp-b.E narrow-1.O narrow-1.E
+dbl-sp-a.E dbl-sp-b.O dbl-sp-b.E narrow-1.O narrow-1.E col-last.O col-last.E
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/pr/pr-tests b/tests/pr/pr-tests
index df3972113..329abd397 100755
--- a/tests/pr/pr-tests
+++ b/tests/pr/pr-tests
@@ -4518,8 +4518,26 @@ else
esac
fi
test -s narrow-1.E || rm -f narrow-1.E
+_POSIX2_VERSION=199209 $xx --date-format="-- Date/Time --" -h x -W3 -t2 $srcdir/col-last.I > col-last.O 2> col-last.E
+code=$?
+if test $code != 0; then
+ $echo "Test col-last(_POSIX2_VERSION=199209) failed: ../../src/pr return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp col-last.O $srcdir/col-last.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE"; then $echo "passed col-last(_POSIX2_VERSION=199209)"; fi;;
+ 1) $echo "Test col-last(_POSIX2_VERSION=199209) failed: files col-last.O and $srcdir/col-last.X differ" 1>&2
+ (diff -c col-last.O $srcdir/col-last.X) 2> /dev/null
+ errors=`expr $errors + 1`;;
+ 2) $echo "Test col-last(_POSIX2_VERSION=199209) may have failed." 1>&2
+ $echo The command "cmp col-last.O $srcdir/col-last.X" failed. 1>&2
+ errors=`expr $errors + 1`;;
+ esac
+fi
+test -s col-last.E || rm -f col-last.E
if test $errors = 0; then
- $echo Passed all 250 tests. 1>&2
+ $echo Passed all 251 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi